Subject: bug#56865: M-x find-dired fails with "Wrong type: processp, nil"

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 02 Aug 2022 13:28:29 +0200

Paul Pogonyshev <[email-masked]> writes:

> Seems so. I guess with the way Elisp works it is even correct, because
> (as I understand) Elisp has no way to notice that process has died if
> there are no IO calls between `shell-process' and `set-process-*'.

Yes, but I'm not quite sure that's actually the case in all
circumstances (especially when Tramp is involved)...

> But it does feel dirty. (Also that `(sit-for 1)' a few lines above
> feels dirty.)

Yeah, much of the code in find-dired.el looks pretty fragile.

But I guess this works now, so I'm closing this bug report.